xpra icon
Bug tracker and wiki

Changes between Version 1 and Version 2 of Encodings/nvenc


Ignore:
Timestamp:
11/01/13 12:54:52 (6 years ago)
Author:
Antoine Martin
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Encodings/nvenc

    v1 v2  
    66
    77== Building ==
    8 * [https://developer.nvidia.com/cuda-downloads Download CUDA SDK] and install it
    9 * [http://developer.download.nvidia.com/compute/nvenc/v3.0_beta/nvenc_3.0_beta_linux_sdk.zip Download the nvenc_3.0 sdk] and install it
     8* Download the [https://developer.nvidia.com/cuda-downloads CUDA SDK] and install it
     9* Download the [/attachment/wiki/Encodings/nvenc/cuda.pc cuda.pc] pkgconfig file (missing from the SDK) and install it (usually in {{{/usr/lib64/pkgconfig}}} for 64-bit systems)
     10* Download the [http://developer.download.nvidia.com/compute/nvenc/v3.0_beta/nvenc_3.0_beta_linux_sdk.zip nvenc_3.0 sdk] and install it (just unzip into {{{/usr/local/}}})
     11* Download the [/attachment/wiki/Encodings/nvenc/nvenc3.pc nvenc3.pc] pkgconfig file (also missing from the SDK) and install it
     12* Build xpra version v0.11.x (trunk) r4652 or later with nvenc support:
     13{{{
     14./setup.py install --with-nvenc
     15}}}
     16
     17
     18Notes:
     19* the files given here are for the current versions of the {{{SDK}}}s and for 64 bit systems only, adjust the files and locations accordingly
     20* If CUDA refuses to build and complains about:
     21{{{
     22Installation Failed. Using unsupported Compiler.
     23}}}
     24run the CUDA installer with "{{{-override-compiler}}}"
     25* there are undocumented incompatibilities between kernel versions, nvidia driver versions and nvenc SDK versions. If possible, install the driver version bundled with the nvenc SDK. For more details see ticket:370#comment:14
     26
     27
     28== Using NVENC ==
     29TODO!
     30